Skip to main content
GET
/
v2
/
wallets
/
{id}
Get a Wallet
curl --request GET \
  --url https://sandbox.groundtech.co/v2/wallets/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "b1c2d3e4-0000-4000-8000-000000000001",
  "label": "Corporate Treasury",
  "createdAt": "2025-09-01T00:00:00Z",
  "depositAddresses": {
    "arbitrum": "0xAbC1230000000000000000000000000000000001",
    "base": "0xAbC1230000000000000000000000000000000001",
    "ethereum": "0xAbC1230000000000000000000000000000000001",
    "polygon": "0xAbC1230000000000000000000000000000000001",
    "solana": "7vFgKxM3bP4oEFbqkPmA5E2rYJ8HqKz8abc1"
  },
  "balance": {
    "totalUsd": "100.00000",
    "withdrawableUsd": "100.000000",
    "pendingWithdrawalUsd": "0.000000",
    "inTransitUsd": "0.000000",
    "earnedUsd": "5.000000"
  },
  "positions": [
    {
      "yieldSourceId": "syrup-usdc",
      "name": "Syrup USDC",
      "valueUsd": "40.000000",
      "pct": 40
    },
    {
      "yieldSourceId": "morpho-gauntlet-usdc",
      "name": "Morpho Gauntlet USDC Prime",
      "valueUsd": "30.000000",
      "pct": 30
    },
    {
      "yieldSourceId": "morpho-steakhouse-usdc",
      "name": "Morpho Steakhouse USDC Prime",
      "valueUsd": "30.000000",
      "pct": 30
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Wallet ID

Response

Wallet details

id
string<uuid>
label
string | null
createdAt
string<date-time>
depositAddresses
object

Deposit addresses keyed by chain name.

Example:
{
"arbitrum": "0xAbC1230000000000000000000000000000000001",
"base": "0xAbC1230000000000000000000000000000000001",
"ethereum": "0xAbC1230000000000000000000000000000000001",
"polygon": "0xAbC1230000000000000000000000000000000001",
"solana": "7vFgKxM3bP4oEFbqkPmA5E2rYJ8HqKz8abc1"
}
balance
object
positions
object[]